public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alessandro Barbieri" <lssndrbarbieri@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: app-text/noweb/
Date: Tue,  3 Mar 2020 05:11:01 +0000 (UTC)	[thread overview]
Message-ID: <1583210828.2eed6d0c8a9ac7cfd384f5670caf428457ee333b.Alessandro-Barbieri@gentoo> (raw)

commit:     2eed6d0c8a9ac7cfd384f5670caf428457ee333b
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Tue Mar  3 04:47:08 2020 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Tue Mar  3 04:47:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2eed6d0c

app-text/noweb: style changes, || die, DOCS array

Package-Manager: Portage-2.3.91, Repoman-2.3.20
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 app-text/noweb/noweb-2.12.ebuild | 43 +++++++++++++++++++++++++++-------------
 1 file changed, 29 insertions(+), 14 deletions(-)

diff --git a/app-text/noweb/noweb-2.12.ebuild b/app-text/noweb/noweb-2.12.ebuild
index 53246f6..4194164 100644
--- a/app-text/noweb/noweb-2.12.ebuild
+++ b/app-text/noweb/noweb-2.12.ebuild
@@ -28,6 +28,8 @@ DEPEND="
 "
 RDEPEND="${DEPEND}"
 
+DOCS=( CHANGES README )
+
 S="${WORKDIR}/${PN}-${MYPV}"
 
 SITEFILE="50${PN}-gentoo.el"
@@ -40,19 +42,19 @@ src_prepare() {
 #	diff -u d/ c/
 
 	# dont run texhash...
-	sed -i -e "s/texhash/true/" src/Makefile
+	sed -i -e "s/texhash/true/" src/Makefile || die
 	# dont strip...
-	sed -i -e "s/strip/true/" src/Makefile
+	sed -i -e "s/strip/true/" src/Makefile || die
 
-	sed -i -e "s/CC=gcc -ansi -pedantic -O -Wall -Werror//" src/Makefile
-	sed -i -e "s/CFLAGS=//" src/Makefile
-	sed -i -e "s/CC=gcc -ansi -pedantic -O -Wall -Werror//" src/c/Makefile
-	sed -i -e "s/CFLAGS=//" src/c/Makefile
+	sed -i -e "s/CC=gcc -ansi -pedantic -O -Wall -Werror//" src/Makefile || die
+	sed -i -e "s/CFLAGS=//" src/Makefile || die
+	sed -i -e "s/CC=gcc -ansi -pedantic -O -Wall -Werror//" src/c/Makefile || die
+	sed -i -e "s/CFLAGS=//" src/c/Makefile || die
 
 	eapply "${FILESDIR}/${P}-recmake.patch"
 
-	sed -i -e "s/CC = cc//" contrib/norman/numarkup/Makefile
-	sed -i -e "s/CFLAGS = -O//" contrib/norman/numarkup/Makefile
+	sed -i -e "s/CC = cc//" contrib/norman/numarkup/Makefile || die
+	sed -i -e "s/CFLAGS = -O//" contrib/norman/numarkup/Makefile || die
 
 	eapply "${FILESDIR}/${P}-ldflags.patch"
 	eapply_user
@@ -61,13 +63,27 @@ src_prepare() {
 src_compile() {
 	# noweb tries to use notangle and noweb; see bug #50429
 	cd "${S}/src/c"
-	( emake ICONC="icont" CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LIBSRC="icon" ) || die
+
+	emake	ICONC="icont" \
+		CC="$(tc-getCC)" \
+		CFLAGS="${CFLAGS}" \
+		LIBSRC="icon" || die
+
 	export PATH="${PATH}:${T}"
 	cd "${S}/src"
-	( emake ICONC="icont" CC="$(tc-getCC)" BIN="${T}" LIB="${T}" LIBSRC="icon" install-code ) \
-		|| die "make temporal install failed."
 
-	( emake ICONC="icont" CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LIBSRC="icon" ) || die "make failed"
+	emake	ICONC="icont" \
+		CC="$(tc-getCC)" \
+		BIN="${T}" \
+		LIB="${T}" \
+		LIBSRC="icon" \
+		install-code || die "make temporal install failed."
+
+	emake	ICONC="icont" \
+		CC="$(tc-getCC)" \
+		CFLAGS="${CFLAGS}" \
+		LIBSRC="icon" || die "make failed"
+
 	# Set awk to awk not nawk
 	./awkname awk
 
@@ -84,6 +100,7 @@ src_install () {
 	dodir "/usr/libexec/${PN}"
 	dodir /usr/share/man
 	dodir /usr/share/texmf-site/tex/inputs
+
 	emake	ICONC="icont" \
 		BIN="${ED}/usr/bin" \
 		LIBSRC="icon" \
@@ -101,8 +118,6 @@ src_install () {
 		doins -r examples/.
 	fi
 
-	dodoc CHANGES README
-
 	if use emacs; then
 		elisp-install "${PN}" "${S}"/src/elisp/noweb-mode.{el,elc} \
 			|| die "elisp-install failed"


             reply	other threads:[~2020-03-03  5:11 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-03  5:11 Alessandro Barbieri [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-05-05  7:32 [gentoo-commits] repo/proj/guru:dev commit in: app-text/noweb/ Alessandro Barbieri
2021-04-18  2:55 Theo Anderson
2020-03-03 17:21 Andrew Ammerlaan
2020-03-03  8:58 Alessandro Barbieri
2020-03-02 22:04 Alessandro Barbieri

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1583210828.2eed6d0c8a9ac7cfd384f5670caf428457ee333b.Alessandro-Barbieri@gentoo \
    --to=lssndrbarbieri@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox